> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unitedmarket.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel market order

> Cancels one order by order hash. Requires SIWE bearer auth and order ownership.



## OpenAPI

````yaml /api-spec/openapi.yaml post /markets/{id}/orders/cancel
openapi: 3.0.3
info:
  title: United Market API
  version: 1.0.0
  description: >-
    Public backend API for market data, trading, authentication, profiles,
    comments, and leaderboards.
servers:
  - url: https://api.unitedmarket.ai
    description: United Market backend
security: []
tags:
  - name: Markets
    description: >-
      Market discovery, market details, orderbooks, tickers, price history, and
      trades.
  - name: Orders
    description: Signed order submission, cancellation, order lookup, and balances.
  - name: Authentication
    description: SIWE wallet authentication.
  - name: Discovery
    description: Tags and market groups.
  - name: Social
    description: Comments, users, and leaderboard data.
  - name: Fees
    description: Effective trading fee rate per market.
  - name: Referral
    description: Referral codes, attribution, and reward summaries.
paths:
  /markets/{id}/orders/cancel:
    post:
      tags:
        - Orders
      summary: Cancel market order
      description: >-
        Cancels one order by order hash. Requires SIWE bearer auth and order
        ownership.
      operationId: cancelMarketOrder
      parameters:
        - $ref: '#/components/parameters/MarketId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - orderHash
              properties:
                orderHash:
                  type: string
                  example: 0xORDER_HASH
      responses:
        '200':
          description: Order cancelled.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
      security:
        - bearerAuth: []
components:
  parameters:
    MarketId:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: Market id.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: SIWE access token returned by POST /auth/verify.

````